﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="yfgs.aspx.cs" Inherits="Maj.WebSite.yfgs" %>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  <title>牛气集运-运费估算</title>
  <meta name="description" content="" />
  <meta name="keywords" content="" />
  <link rel="stylesheet" href="./public/stylesheets/theme/default/layer.css" />
  <link rel="stylesheet" href="./public/stylesheets/style.css" />
  <link rel="stylesheet" href="./public/stylesheets/yfgs.css" />
    <link rel="stylesheet" type="text/css" media="all" href="/css/tyle.css">
    <%--<link href="/css/common.css" rel="stylesheet" type="text/css">--%>
    <script src="include/js/common.js"></script>
    <script type="text/javascript" src="js/jquery-1.8.0.min.js"></script>
    <script type="text/javascript" src="/js/cityTemplate.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
            var search = location.href.split('?')[1];
            if (search) {
                var para = search.split('&');
                var res = {};
                for (var i = 0; i < para.length; i++) {
                    var kp = para[i].split('=');
                    res[kp[0]] = kp[1];
                }
                $("#place").val(decodeURI(res["coun"]));
                $("#weighttb").val(res["wi"]);
                var vol = res["vol"].split('|')
                $("#lengthtb").val(vol[0]);
                $("#widthtb").val(vol[1]);
                $("#heighttb").val(vol[2]);
            }
            $(".btn-js").click(function () {
                var country = $("#place").val();
                var weight = parseFloat($("#weighttb").val());
                var length = parseFloat($("#lengthtb").val());
                var width = parseFloat($("#widthtb").val());
                var height = parseFloat($("#heighttb").val());
                if (new RegExp(/^\s*$/).test(country)) {
                    layer.msg("请选择收货目的地！");
                    return false;
                }
                if (isNaN(weight)) weight = 0;
                if (isNaN(length)) length = 0;
                if (isNaN(width)) width = 0;
                if (isNaN(height)) height = 0;
                if ($("#weighttb").val() != '' && isDouble($("#weighttb").val())) weight = parseFloat($("#weighttb").val());
                else {
                    layer.msg("请输入正确的重量！");
                    $("#weighttb").focus();
                    return false;
                }
                $(".es_address table tr:gt(0)").remove();
                $(".es_address table").append("<tr><td colspan='5'>载入中...</td></tr>");
                $.get("/tools/load_estimate.aspx", { country: country, w: weight, l: length, wi: width, h: height, r: Math.random() },
              function (data) {
                  $(".es_address table tr:gt(0)").remove();
                  $(".es_address table").append(data);
              });
                $(".es_xx").html("目的地：" + $("#place").val() + "（" + $("#place").val() + "） 重量：" + $("#weighttb").val() + "kg  尺寸：" + $("#lengthtb").val() + "*" + $("#widthtb").val() + "*" + $("#heighttb").val());
            });
        });

        function ShowShippingDetail() {
            var isi = jQuery.parseJSON($("#data_json").val());
            var iri = jQuery.parseJSON($("#<%=role_json.ClientID %>").val());
            var tmp = "";
            for (var i = 0; i < isi.length; i++) {
                tmp += "<input type=\"radio\" id=\"si_" + isi[i].ShippingId + "\" name=\"shipping_list\" value=\"" + isi[i].ShippingId + "\" onclick=\"showDetail(" + isi[i].ShippingId + ")\"";
                if (i == 0) tmp += " checked=\"checked\"";
                tmp += "/>";
                tmp += " <label for=\"si_" + isi[i].ShippingId + "\">" + isi[i].ShippingName + "</label> &nbsp; ";
                if ((i + 1) % 3 == 0) tmp += "<br/>";
            }
            $("#shipping_td").html(tmp);

            $("div.cal_div").html("<span style=\"color:red; font-size:18px;\"></span>");
            $("#channelH3").removeClass("cal_tit").addClass("displaynone");

            $("#Desc").html(HTMLDecode(isi[0].ShippingDesc));
        }
        function showDetail(id) {
            var isi = jQuery.parseJSON($("#data_json").val());
            var iri = jQuery.parseJSON($("#<%=role_json.ClientID %>").val());
                var pos = 0;
                for (var i = 0; i < isi.length; i++) {
                    if (isi[i].ShippingId == id) pos = i;
                }
                var role = "";
                if (isi[pos].StatusId == 2 || isi[pos].StatusId == 3) {

                    $("div.cal_div").html("<span style=\"color:red; font-size:18px;\"></span>");
                    $("#channelH3").removeClass("cal_tit").addClass("displaynone");

                } else {

                    $("div.cal_div").html("<span style=\"color:red; font-size:18px;\"></span>");
                    $("#channelH3").removeClass("cal_tit").addClass("displaynone");

                }

                $("#Desc").html(HTMLDecode(isi[pos].ShippingDesc));
            }

            inCity.cssParents = function () { //城市显示
                inCity.top = placeThis.offset().top+27;  //城市选择框  top位置
                inCity.left = placeThis.offset().left;   //城市选择框  left位置
                $(inCity.id).css({ "top": inCity.top + "px", "left": inCity.left + "px", "width": inCity.width + "px", "height": inCity.height + "px" });
            }
    </script>
    <style>
        .layui-layer-content {
            padding: 30px 25px;
        }
    </style>
    <script>
        var _hmt = _hmt || [];
        (function() {
          var hm = document.createElement("script");
          hm.src = "https://hm.baidu.com/hm.js?791fd7f36f1a2118f13aa331598837a9";
          var s = document.getElementsByTagName("script")[0];
          s.parentNode.insertBefore(hm, s);
        })();
     </script>
 </head>
 <body>
 <%-- <div class="p-container p-clear" style="margin:3px 20px;">
   <div class="p-logo p-left" style="margin-left:40px;">
    <img src="./public/images/index/logo.png" style="height:50px" />
   </div>
   <ul class="p-left" style="margin-left:20px;">
    <li class="menu-item"><a href="/">首页</a></li>
    <li class="menu-item"><a href="/personal_effects.html">私人行李</a></li>
    <li class="menu-item"><a href="/online_retailers.html">跨境电商</a></li>
    <li class="menu-item"><a href="/house_moving.html">国际搬家</a></li>
    <li class="menu-item"><a href="/cases.html">案例中心</a></li>
    <li class="menu-item"><a href="/article_list.aspx">资讯中心</a></li>
    <li class="menu-item"><a href="/contact_us.html">联系我们</a></li>
   </ul>
   <div class="p-right p-clear" style="margin-top:16px;font-size:15px">
       <a href="/yfgs.aspx" style="color:#FF0000">运费估算</a>
       <a href="/login.html">&nbsp;&nbsp;<img src="./public/images/index/user-icon2.png" /><span>&nbsp;登录</span></a>
       <a href="/regist.html">&nbsp;&nbsp;<img src="./public/images/index/eidt-icon2.png" /><span>&nbsp;注册</span></a>
    <span class="wechat-ewm" style="display:inline-block;height:25px">&nbsp;&nbsp;<img src="./public/images/index/we-icon2.png" /><span>&nbsp; 微信公众号</span>
     <div class="ewm-img">
      <img src="./public/images/index/ewm.png" />
     </div></span>
   </div>
  </div>--%>
      <div class="fix-top">
         <div class="p-top">
             <div class="p-container p-clear">
                 <div class="p-left wecome" style="margin-left:95px">
                     欢迎您 &nbsp;&nbsp;
                    <%-- <img src="./public/images/index/dh-icon.png" style="height: 14px; vertival-align: bottom; position: relative; bottom: -1px;" />
                     <span class="map-nav" style="padding: 0px 10px; text-align: left; position: relative; cursor: pointer; display: inline-block; width: 100px;">
                         网站导航
                         <div class="navation-container">
                             <a href="/">首页</a>
                             <a href="/online_retailers.html">跨境电商</a>
                             <a href="/regist.html">注册</a>
                             <a href="/house_moving.html">国际搬家</a>
                             <a href="/login.html">登录</a>
                             <a href="/cases.html">案例中心</a>
                             <a href="/yfgs.aspx">运费估算</a>
                             <a href="/article_list.aspx">资讯中心</a>
                             <a href="/personal_effects.html">私人行李</a>
                             <a href="/contact_us.html">联系我们</a>
                         </div>
                     </span>--%>
                 </div>
                 <img src="./public/images/index/us/top-text.png" style="position: absolute; top: 8px; margin: auto; left: 0px; right: 0px;" />
                 <div class="p-right p-clear" style="margin-right:120px">
                     <a href="/login.html">
                         <img src="./public/images/index/user-icon.png" /><span>登录</span>
                     </a>
                     <a href="/regist.html">
                         <img src="./public/images/index/eidt-icon.png" /><span>注册</span>
                     </a>
                     <span class="wechat-ewm">
                         <img src="./public/images/index/we-icon.png" /><span>微信公众号</span>
                         <div class="ewm-img">
                             <img src="./public/images/index/ewmus.png"  alt="" />
                         </div>
                     </span>
                 </div>
             </div>
         </div>
         <div class="p-container">
             <div class="p-menu p-clear">
                 <div class="p-logo p-left" style="margin-left:25px">
                     <img src="./public/images/index/us/logo.png" style="margin-right: 10px" />
                     <img src="./public/images/index/us/logo-text.png" style="width: 130px; height: 19px;margin-bottom: 14px;" />
                 </div>

                 <ul class="p-right" style="margin-right: 58px;">
                     <li class="active-menu menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/">首页</a></li>
                     <li class="menu-item" style="padding: 8px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/gjwl.html">食品化妆品运输</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/ozfba.html">华人包裹运输</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/usafba.html">美国跨境电商</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/case.html">成功案例</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/news.html">新闻中心</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/about.html">关于我们</a></li>
                     <li class="menu-item" style="padding: 0px 15px;color: #0f0f0f"><a href="https://usa.86feifan.com/contact.html">联系我们</a></li>

                     <img src="./public/images/index/us/logo-tel.png" style="width: 130px; height: 30px;margin-top: 10px" />
                 </ul>
             </div>
         </div>
     </div>
     <form id="form1" runat="server">
  <img class="contact-banner" src="./public/images/yfgs/yfgs-banner.png" />
  <div class="common-container">
   <br />
   <div class="p-clear fygs-box">
    <span class="p-left" style="font-size:22px;">费用估算</span>
    <span class="p-left" style="color:#9D9D9F;font-size:20px; margin-top:8px;margin-left:10px;">COST ESTIMATE</span>
    <span class="p-right" style="color:#9D9D9F;font-size:20px;margin-top:8px;">估算价格仅供参考</span>
   </div>
   <div class="form-box">
    <table>
     <tbody>
      <tr>
       <td>
        <div class="js-title bt-icon">
         目的地
        </div>
           <input type="text" placeholder="选择目的地" id="place">
                <div id="in_city" style="display: none"></div>
       </td>
       <td>
        <div class="js-title bt-icon">
         重量(kg)
        </div><input id="weighttb" /></td>
      </tr>
      <tr>
       <td>
        <div class="p-left">
         <div class="js-title">
          长(cm)
         </div>
         <input id="lengthtb" />
        </div>
        <div class="p-left" style="margin:0px 10px">
         <div class="js-title">
          宽(cm)
         </div>
         <input id="widthtb" />
        </div>
        <div class="p-left">
         <div class="js-title">
          高(cm)
         </div>
         <input id="heighttb" />
        </div></td>
       <td>
        <div class="js-title">
         牛气集运
        </div>
        <div>
         估算价格下翻查看
        </div></td>
      </tr>
     </tbody>
    </table>
    <div style="text-align:center">
     <div class="btn-js"></div>
    </div>
    <div style="text-align:center">
     <img src="./public/images/yfgs/down-arrow.png" />
    </div>
   </div>
   <br />
   <br />
   <br />
   <div class="result-table" style="text-align:left">
<%--    <span><img src="./public/images/yfgs/danger.jpg" style="width:15px;margin-right:10px" /><span>时效不稳定</span></span>
    <span style="padding-left:20px"><img src="./public/images/yfgs/select-large.jpg" style="width:15px;margin-right:5px" /><span>实重/体积取大者计费</span></span>--%>

       <div style="padding-top:10px">
     <div class="es_address" style="width:100%;text-align:center">
        <table style="width:100%;text-align:center" border="0" cellspacing="0" cellpadding="0" id="feeDetail">
            <thead>
          <tr>
            <th style="width:80px">计费重（kg）</th>
            <th style="width:120px">运输方式</th>
            <th style="width:120px">送达时间（工作日）</th>
            <th style="width:150px">总费用（RMB）</th>
            <th>备注</th>
            <th style="width:67px">发运注意事项</th>
          </tr>
                </thead>
        </table>
    </div>

     <p style="text-align:right;padding-top:30px;padding-bottom:10px;">您可以通过微信在线付款</p>
     <p style="text-align:right">以上费用不包含磁检费、超重超长处理费、偏远地区派送费、目的地进口关税、包裹销毁或退运等费用</p>
     <br />
     <br />
     <table id="hide-table" style="display:none"></table>
    </div>
   </div>
  </div>
  <div class="footer-content">
   <footer class="footer">
    <div class="footer-container">
     <div class="above-us">
      关注我们<p>苏州牛气网络科技有限公司</p>
     </div>
     <p>工作时间：北京时间</p>
     <p>周一到周六 8:30 - 18:30</p>
     <p>电话：0512-66718072</p>
       <p>手机：18013228715（微信同号）</p>
        <p>邮箱：xu@86feifan.com</p>
     <p>地址：苏州虎丘区长江路612号</p>
     <br />
     <p>备案号：苏ICP 备 18052456 号</p>
    </div>
    <div class="footer-container">
     <div>
      <img src="./public/images/index/bottom-logo.png" />
      <img src="./public/images/index/bottom-text.png" />
      <img  style="padding-top: 5px;" src="./public/images/index/ewmus.png" />
       <p class="bottom-text" style="padding-top: 5px;"> 牛气集运是一家专业的ems_DHL_UPS_FedEx国际物流代理公司</p>
     </div>
    </div>
   </footer>
  </div>
  <div class="tf-bg">
   <div class="tf-container">
    <div class="tf-content">
     <div class="tl-close">
      <img id="close-img" src="./public/images/index/clsoe-tf.png" />
     </div>
     <div class="tf-inputs">
      <input class="tf-input" id="country-select" style="padding-left:8px;width:262px" placeholder="请选择国家" readonly="" />
     </div>
     <div class="tf-inputs" style="top:208px">
      <input class="tf-input" id="weight" style="padding-left:8px;width:262px" placeholder="请输入包裹重量" />
     </div>
     <div class="tf-inputs" style="top:265px">
      <input class="tf-input" id="long" style="width:80px" placeholder="长" />
      <input class="tf-input" id="width" style="width:80px; margin:0 3px" placeholder="宽" />
      <input class="tf-input" id="height" style="width:80px" placeholder="高" />
     </div>
     <div class="btns-conent">
      <a class="btn-ele" href="/regist">注册会员</a>
      <span class="btn-ele" id="getPrice">查询报价</span>
     </div>
    </div>
   </div>
  </div>
     
         <input type="hidden" name="__hash__" value="35a1f7a7f19699590332e607490f01e8_c68c37c64b3431e991ecca9c2316ab71" />
        <input id="data_json" type="hidden" />
         <asp:HiddenField ID="role_json" runat="server" />
        <asp:HiddenField ID="house_json" runat="server" />
        <div hidden="hidden">
                <asp:RadioButtonList ID="housedcl" RepeatColumns="2" RepeatDirection="Horizontal" runat="server"></asp:RadioButtonList>
                请选择收货国家：<asp:DropDownList ID="areadpl" runat="server"></asp:DropDownList>
        </div>
         <</form>
  <script src="./public/javascripts/jquery-3.4.1.min.js"></script>
  <script src="./public/javascripts/layer.js"></script>
  <script src="./public/javascripts/public.js"></script>
  <script src="./public/javascripts/yfgs.js"></script>
  <script src="./public/javascripts/coutrySelect.js"></script>
  <script> $('#country').coutrySelect()</script>
     <script type="text/javascript">
         setTimeout(function () {
             var cityA = $(".city_a_le1 a"); //城市
             var pla = $("#place");  //出发地
             var dest = $("#destination");  //目的地
             // 默认值
             inCity.width = "400";  //城市选择框  宽
             inCity.height = "auto";  //城市选择框  高
             inCity.id = "#in_city";  //城市选择框  父级ID
             inCity.Children = '.city_a_le1';  //城市名box
             // 初始化 城市HTML模板
             $(inCity.id).prepend(inCity._template.join(''));
             inCity.Hot(cityA);

             //城市 导航
             var apay = $(".screen a");

             var placeThis; //当前选择标签
             apay.click(function (obj) {  //城市导航
                 inCity.payment($(this));
             })

             inCity.place(pla); //出发地
             inCity.destination(dest);  //目的地
             inCity.cityClick(cityA); //显示赋值城市
             $(".btn-js").click();
         }, 1000)

         function show(code) {
             layer.open({
                 type: 1,
                 skin: 'layui-layer-lan', //样式类名
                 shadeClose: true, //开启遮罩关闭
                 area: ['625px'],
                 title: false,
                 content: $("#" + code).text()
             });
         }
</script>
 </body>
</html>
<%--<script language="javascript" src="https://pft.zoosnet.net/JS/LsJS.aspx?siteid=PFT49133458&float=1&lng=cn"></script>--%>